module win32.ansi.dlgs;

// Translated from Microsoft Platform SDK August 2001 Edition
// by Y.Tomino (demoonlit@inter7.jp)

import win32.ansi.windef;

// #ifndef _DLGSH_INCLUDED_
// #define _DLGSH_INCLUDED_

enum : uint { ctlFirst = 0x0400 }
enum : uint { ctlLast = 0x04ff }

enum : uint { psh1 = 0x0400 }
enum : uint { psh2 = 0x0401 }
enum : uint { psh3 = 0x0402 }
enum : uint { psh4 = 0x0403 }
enum : uint { psh5 = 0x0404 }
enum : uint { psh6 = 0x0405 }
enum : uint { psh7 = 0x0406 }
enum : uint { psh8 = 0x0407 }
enum : uint { psh9 = 0x0408 }
enum : uint { psh10 = 0x0409 }
enum : uint { psh11 = 0x040a }
enum : uint { psh12 = 0x040b }
enum : uint { psh13 = 0x040c }
enum : uint { psh14 = 0x040d }
enum : uint { psh15 = 0x040e }
alias psh15 pshHelp;
enum : uint { psh16 = 0x040f }

enum : uint { chx1 = 0x0410 }
enum : uint { chx2 = 0x0411 }
enum : uint { chx3 = 0x0412 }
enum : uint { chx4 = 0x0413 }
enum : uint { chx5 = 0x0414 }
enum : uint { chx6 = 0x0415 }
enum : uint { chx7 = 0x0416 }
enum : uint { chx8 = 0x0417 }
enum : uint { chx9 = 0x0418 }
enum : uint { chx10 = 0x0419 }
enum : uint { chx11 = 0x041a }
enum : uint { chx12 = 0x041b }
enum : uint { chx13 = 0x041c }
enum : uint { chx14 = 0x041d }
enum : uint { chx15 = 0x041e }
enum : uint { chx16 = 0x041f }

enum : uint { rad1 = 0x0420 }
enum : uint { rad2 = 0x0421 }
enum : uint { rad3 = 0x0422 }
enum : uint { rad4 = 0x0423 }
enum : uint { rad5 = 0x0424 }
enum : uint { rad6 = 0x0425 }
enum : uint { rad7 = 0x0426 }
enum : uint { rad8 = 0x0427 }
enum : uint { rad9 = 0x0428 }
enum : uint { rad10 = 0x0429 }
enum : uint { rad11 = 0x042a }
enum : uint { rad12 = 0x042b }
enum : uint { rad13 = 0x042c }
enum : uint { rad14 = 0x042d }
enum : uint { rad15 = 0x042e }
enum : uint { rad16 = 0x042f }

enum : uint { grp1 = 0x0430 }
enum : uint { grp2 = 0x0431 }
enum : uint { grp3 = 0x0432 }
enum : uint { grp4 = 0x0433 }
enum : uint { frm1 = 0x0434 }
enum : uint { frm2 = 0x0435 }
enum : uint { frm3 = 0x0436 }
enum : uint { frm4 = 0x0437 }
enum : uint { rct1 = 0x0438 }
enum : uint { rct2 = 0x0439 }
enum : uint { rct3 = 0x043a }
enum : uint { rct4 = 0x043b }
enum : uint { ico1 = 0x043c }
enum : uint { ico2 = 0x043d }
enum : uint { ico3 = 0x043e }
enum : uint { ico4 = 0x043f }

enum : uint { stc1 = 0x0440 }
enum : uint { stc2 = 0x0441 }
enum : uint { stc3 = 0x0442 }
enum : uint { stc4 = 0x0443 }
enum : uint { stc5 = 0x0444 }
enum : uint { stc6 = 0x0445 }
enum : uint { stc7 = 0x0446 }
enum : uint { stc8 = 0x0447 }
enum : uint { stc9 = 0x0448 }
enum : uint { stc10 = 0x0449 }
enum : uint { stc11 = 0x044a }
enum : uint { stc12 = 0x044b }
enum : uint { stc13 = 0x044c }
enum : uint { stc14 = 0x044d }
enum : uint { stc15 = 0x044e }
enum : uint { stc16 = 0x044f }
enum : uint { stc17 = 0x0450 }
enum : uint { stc18 = 0x0451 }
enum : uint { stc19 = 0x0452 }
enum : uint { stc20 = 0x0453 }
enum : uint { stc21 = 0x0454 }
enum : uint { stc22 = 0x0455 }
enum : uint { stc23 = 0x0456 }
enum : uint { stc24 = 0x0457 }
enum : uint { stc25 = 0x0458 }
enum : uint { stc26 = 0x0459 }
enum : uint { stc27 = 0x045a }
enum : uint { stc28 = 0x045b }
enum : uint { stc29 = 0x045c }
enum : uint { stc30 = 0x045d }
enum : uint { stc31 = 0x045e }
enum : uint { stc32 = 0x045f }

enum : uint { lst1 = 0x0460 }
enum : uint { lst2 = 0x0461 }
enum : uint { lst3 = 0x0462 }
enum : uint { lst4 = 0x0463 }
enum : uint { lst5 = 0x0464 }
enum : uint { lst6 = 0x0465 }
enum : uint { lst7 = 0x0466 }
enum : uint { lst8 = 0x0467 }
enum : uint { lst9 = 0x0468 }
enum : uint { lst10 = 0x0469 }
enum : uint { lst11 = 0x046a }
enum : uint { lst12 = 0x046b }
enum : uint { lst13 = 0x046c }
enum : uint { lst14 = 0x046d }
enum : uint { lst15 = 0x046e }
enum : uint { lst16 = 0x046f }

enum : uint { cmb1 = 0x0470 }
enum : uint { cmb2 = 0x0471 }
enum : uint { cmb3 = 0x0472 }
enum : uint { cmb4 = 0x0473 }
enum : uint { cmb5 = 0x0474 }
enum : uint { cmb6 = 0x0475 }
enum : uint { cmb7 = 0x0476 }
enum : uint { cmb8 = 0x0477 }
enum : uint { cmb9 = 0x0478 }
enum : uint { cmb10 = 0x0479 }
enum : uint { cmb11 = 0x047a }
enum : uint { cmb12 = 0x047b }
enum : uint { cmb13 = 0x047c }
enum : uint { cmb14 = 0x047d }
enum : uint { cmb15 = 0x047e }
enum : uint { cmb16 = 0x047f }

enum : uint { edt1 = 0x0480 }
enum : uint { edt2 = 0x0481 }
enum : uint { edt3 = 0x0482 }
enum : uint { edt4 = 0x0483 }
enum : uint { edt5 = 0x0484 }
enum : uint { edt6 = 0x0485 }
enum : uint { edt7 = 0x0486 }
enum : uint { edt8 = 0x0487 }
enum : uint { edt9 = 0x0488 }
enum : uint { edt10 = 0x0489 }
enum : uint { edt11 = 0x048a }
enum : uint { edt12 = 0x048b }
enum : uint { edt13 = 0x048c }
enum : uint { edt14 = 0x048d }
enum : uint { edt15 = 0x048e }
enum : uint { edt16 = 0x048f }

enum : uint { scr1 = 0x0490 }
enum : uint { scr2 = 0x0491 }
enum : uint { scr3 = 0x0492 }
enum : uint { scr4 = 0x0493 }
enum : uint { scr5 = 0x0494 }
enum : uint { scr6 = 0x0495 }
enum : uint { scr7 = 0x0496 }
enum : uint { scr8 = 0x0497 }

enum : uint { ctl1 = 0x04A0 }

// #ifdef UNIX

// #...
// #...

// #...
// #...
// #...
// #endif

enum : uint { FILEOPENORD = 1536 }
enum : uint { MULTIFILEOPENORD = 1537 }
enum : uint { PRINTDLGORD = 1538 }
enum : uint { PRNSETUPDLGORD = 1539 }
enum : uint { FINDDLGORD = 1540 }
enum : uint { REPLACEDLGORD = 1541 }
enum : uint { FONTDLGORD = 1542 }
enum : uint { FORMATDLGORD31 = 1543 }
enum : uint { FORMATDLGORD30 = 1544 }
enum : uint { RUNDLGORD = 1545 }

// #if (WINVER >= 0x400)
enum : uint { PAGESETUPDLGORD = 1546 }
enum : uint { NEWFILEOPENORD = 1547 }
enum : uint { PRINTDLGEXORD = 1549 }
enum : uint { PAGESETUPDLGORDMOTIF = 1550 }
enum : uint { COLORMGMTDLGORD = 1551 }
enum : uint { NEWFILEOPENV2ORD = 1552 }
// #endif /* WINVER >= 0x400) */

struct tagCRGB {
  BYTE bRed;
  BYTE bGreen;
  BYTE bBlue;
  BYTE bExtra;
}
alias tagCRGB CRGB;

// #endif // _DLGSH_INCLUDED_
