module win32.ansi.guiddef;
import win32.ansi.windef;

// Handwriting...

align(1) struct GUID
{
	DWORD Data1;
	WORD  Data2;
	WORD  Data3;
	BYTE  Data4[8];
}

alias GUID CLSID;
alias GUID IID;
alias GUID* REFGUID;
alias GUID* REFCLSID;
alias GUID* REFIID;
alias CLSID* LPCLSID;
alias IID* LPIID;

bit IsEqualGUID(in GUID rguid1, in GUID rguid2)
{
	return 
		(cast(uint*)&rguid1)[0] == (cast(uint*)&rguid2)[0] &&
		(cast(uint*)&rguid1)[1] == (cast(uint*)&rguid2)[1] &&
		(cast(uint*)&rguid1)[2] == (cast(uint*)&rguid2)[2] &&
		(cast(uint*)&rguid1)[3] == (cast(uint*)&rguid2)[3];
}

