module win32.ansi.windows;

// Translated from Microsoft Platform SDK August 2001 Edition
// by Y.Tomino (demoonlit@inter7.jp)


// #ifndef _WINDOWS_
// #define _WINDOWS_

// #ifndef WINVER
// #...
// #else
// #if defined(_WIN32_WINNT) && (WINVER < 0x0400) && (_WIN32_WINNT > 0x0400)
// #...
// #endif
// #endif

// #ifndef _INC_WINDOWS
// #define _INC_WINDOWS

// #if defined (_MSC_VER) && (_MSC_VER >= 1020)
// #pragma once
// #endif

// #if defined(RC_INVOKED) && !defined(NOWINRES)

// #...

// #else

// #if defined(RC_INVOKED)

// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #...
// #endif

// #if !defined(_68K_) && !defined(_MPPC_) && !defined(_X86_) && !defined(_IA64_) && !defined(_AMD64_) && defined(_M_IX86)
// #...
// #endif

// #if !defined(_68K_) && !defined(_MPPC_) && !defined(_X86_) && !defined(_IA64_) && !defined(_AMD64_) && defined(_M_AMD64)
// #...
// #endif

// #if !defined(_68K_) && !defined(_MPPC_) && !defined(_X86_) && !defined(_IA64_) && !defined(_AMD64_) && defined(_M_M68K)
// #...
// #endif

// #if !defined(_68K_) && !defined(_MPPC_) && !defined(_X86_) && !defined(_IA64_) && !defined(_AMD64_) && defined(_M_MPPC)
// #...
// #endif

// #if !defined(_68K_) && !defined(_MPPC_) && !defined(_X86_) && !defined(_M_IX86) && !defined(_AMD64_) && defined(_M_IA64)
// #if !defined(_IA64_)
// #...
// #endif // !_IA64_
// #endif

// #ifndef _MAC
// #if defined(_68K_) || defined(_MPPC_)
// #...
// #endif
// #endif

// #if defined (_MSC_VER)
// #if ( _MSC_VER >= 800 )
// #ifndef __cplusplus
// #...

// #endif
// #endif
// #endif

// #ifndef RC_INVOKED
// #if     ( _MSC_VER >= 800 )
// #pragma warning(disable:4514)
// #ifndef __WINDOWS_DONT_DISABLE_PRAGMA_PACK_WARNING__
// #pragma warning(disable:4103)
// #endif
// #if _MSC_VER >= 1200
// #pragma warning(push)
// #endif
// #pragma warning(disable:4001)
// #pragma warning(disable:4201)
// #pragma warning(disable:4214)
// #endif
// #include <excpt.h>
// #include <stdarg.h>
// #endif /* RC_INVOKED */

import win32.ansi.windef;
import win32.ansi.winbase;
import win32.ansi.wingdi;
import win32.ansi.winuser;
// #if !defined(_MAC) || defined(_WIN32NLS)
import win32.ansi.winnls;
// #endif
// #ifndef _MAC
import win32.ansi.wincon;
import win32.ansi.winver;
// #endif
// #if !defined(_MAC) || defined(_WIN32REG)
import win32.ansi.winreg;
// #endif
// #ifndef _MAC
// #include <winnetwk.h>
// #endif

// #ifndef WIN32_LEAN_AND_MEAN
// #include <cderr.h>
import win32.ansi.dde;
import win32.ansi.ddeml;
import win32.ansi.dlgs;
// #ifndef _MAC
// #include <lzexpand.h>
import win32.ansi.mmsystem;
// #include <nb30.h>
// #include <rpc.h>
// #endif
import win32.ansi.shellapi;
// #ifndef _MAC
// #include <winperf.h>
// #include <winsock.h>
// #endif
// #ifndef NOCRYPT
// #...
// #...
// #...
// #endif

// #ifndef NOGDI
// #ifndef _MAC
import win32.ansi.winspool;
// #ifdef INC_OLE1
// #...
// #else
// #include <ole2.h>
// #endif /* !INC_OLE1 */
// #endif /* !MAC */
import win32.ansi.commdlg;
// #endif /* !NOGDI */
// #endif /* WIN32_LEAN_AND_MEAN */

// #include <stralign.h>

// #ifdef _MAC
// #...
// #endif

// #ifdef INC_OLE2
// #...
// #endif /* INC_OLE2 */

// #ifndef _MAC
// #ifndef NOSERVICE
// #...
// #endif

// #if(WINVER >= 0x0400)
// #ifndef NOMCX
// #...
// #endif /* NOMCX */

// #ifndef NOIME
import win32.ansi.imm;
// #endif
// #endif /* WINVER >= 0x0400 */
// #endif

// #ifndef RC_INVOKED
// #if     ( _MSC_VER >= 800 )
// #if _MSC_VER >= 1200
// #pragma warning(pop)
// #else
// #...
// #...
// #...

// #endif
// #endif
// #endif /* RC_INVOKED */

// #endif /* RC_INVOKED */

// #endif /* _INC_WINDOWS */
// #endif /* _WINDOWS_ */

